Bug 847406 - Review Request: clean-extra-utils - A collection of extra libraries and utilities for the Clean programming language
Review Request: clean-extra-utils - A collection of extra libraries and utili...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 18:11 EDT by Patrick Uiterwijk
Modified: 2012-09-23 14:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 07:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2012-08-10 18:11:06 EDT
Spec URL: http://puiterwijk.fedorapeople.org/packages/clean-extra-utils/clean-extra-utils.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/clean-extra-utils/clean-extra-utils-0.1-1.fc17.src.rpm
Fedora Account System Username: puiterwijk
Description: This is a collection of libraries and
utilities for the Clean programming language.
Comment 1 Paul Wouters 2012-08-10 18:12:15 EDT
I'll take it
Comment 2 Paul Wouters 2012-08-14 17:51:46 EDT
Confirmed package will be in EL5

You need to add the LICENSE using %doc, since it is present in the source tree

With the %doc change done, APPROVED


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.

[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: clean-extra-utils-0.1-1.fc17.x86_64.rpm
          clean-extra-utils-0.1-1.fc17.src.rpm
clean-extra-utils.x86_64: E: no-binary
clean-extra-utils.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
clean-extra-utils-0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):

    clean


Provides
--------
clean-extra-utils-0.1-1.fc17.x86_64.rpm:

    clean-extra-utils = 0.1-1.fc17
    clean-extra-utils(x86-64) = 0.1-1.fc17

MD5-sum check
-------------
http://git.fedorahosted.org/cgit/clean-extra-utils.git/snapshot/clean-extra-utils-0.1.tar.gz :
  MD5SUM this package     : 84cc9ddb8c3bfd9761d767665c0287dd
  MD5SUM upstream package : 0a516941f422fee41e2ae0031c25d1d9
However, diff -r shows no differences


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 847406
External plugins:
Comment 3 Patrick Uiterwijk 2012-08-14 18:30:30 EDT
New Package SCM Request
=======================
Package Name: clean-extra-utils
Short Description: A collection of extra libraries and utilities for the Clean programming language
Owners: puiterwijk
Branches: el5 el6 f16 f17 f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-08-14 19:52:20 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-08-15 10:35:30 EDT
clean-extra-utils-0.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-2.el5
Comment 6 Fedora Update System 2012-08-15 10:35:40 EDT
clean-extra-utils-0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-2.el6
Comment 7 Fedora Update System 2012-08-15 10:35:49 EDT
clean-extra-utils-0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-2.fc16
Comment 8 Fedora Update System 2012-08-15 10:36:01 EDT
clean-extra-utils-0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-2.fc17
Comment 9 Fedora Update System 2012-08-15 13:40:38 EDT
clean-extra-utils-0.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 10 Fedora Update System 2012-09-04 17:39:00 EDT
clean-extra-utils-0.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-3.el5
Comment 11 Fedora Update System 2012-09-04 17:39:11 EDT
clean-extra-utils-0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clean-extra-utils-0.1-3.el6
Comment 12 Fedora Update System 2012-09-07 07:35:08 EDT
clean-extra-utils-0.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-09-07 07:36:19 EDT
clean-extra-utils-0.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-09-23 14:29:23 EDT
clean-extra-utils-0.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2012-09-23 14:29:32 EDT
clean-extra-utils-0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.